javax.jms

## Class MessageFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.MessageFormatException

- All Implemented Interfaces:
    java.io.Serializable

      public class MessageFormatException
      extends JMSException

  This exception must be thrown when a JMS client attempts to use a data type not supported by a message or attempts to read data in a message as the wrong type. It must also be thrown when equivalent type errors are made with message property values. For example, this exception must be thrown if `StreamMessage.writeObject` is given an unsupported class or if `StreamMessage.readShort` is used to read a `boolean` value. Note that the special case of a failure caused by an attempt to read improperly formatted `String` data as numeric values must throw the `java.lang.NumberFormatException`.

  Since:
    JMS 1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageFormatException(java.lang.String reason)` Constructs a `MessageFormatException` with the specified reason.
    `MessageFormatException(java.lang.String reason, java.lang.String errorCode)` Constructs a `MessageFormatException` with the specified reason and error code.

  - ### Method Summary

    - ### Methods inherited from class javax.jms.JMSException

      `getErrorCode, getLinkedException, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageFormatException

          public MessageFormatException(java.lang.String reason,
                                        java.lang.String errorCode)

      Constructs a `MessageFormatException` with the specified reason and error code.
      Parameters:
        `reason` - a description of the exception
        `errorCode` - a string specifying the vendor-specific error code

    - #### MessageFormatException

          public MessageFormatException(java.lang.String reason)

      Constructs a `MessageFormatException` with the specified reason. The error code defaults to null.
      Parameters:
        `reason` - a description of the exception